Error al actualizar plugins WordPress

error-al-actualizar-plugins-wordpress
¡Valora este artículo!
Cargando…

El otro día, actualizando un sitio web  obtuve un error al actualizar plugins WordPress. El error en concreto que me dio fue el de:
Se ha producido un error al actualizar Advanced Custom Fields: No se ha podido descomprimir el paquete. PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature
Aunque el error al actualizar plugins WordPress me dio en uno concreto (cómo podéis ver estaba actualizando el plugin Advanced Custom Fields), eso no significa que dicho plugin fuera el causante o bien que dicho plugin sea problemático. Ocurrió el error al actualizar plugins WordPress en dicho plugin porque era el primero de la lista que se estaba actualizando.
Al principio dije: ¡coño! ¿esto qué es?
Estamos tan mal acostumbrados a que no falla nunca nada en WordPress, que el ver un error me dejó perplejo.

La solución al error al actualizar plugins WordPress

Acto seguido, googleando vi que una posible causa podía ser la falta de espacio en el servidor. Me dio por mirarlo y efectivamente: tenía el servidor petado.
Borré algunas cosillas aquí y allá y luego volví a intentar actualizar y ya funcionó todo correcto.

¿Cómo sé si tengo el servidor lleno?

Normalmente, entrando al panel de control de hosting dónde habrá una opción que te lo indica. Por si te sirve de algo, he visto hostings compartidos donde la web ocupaba muy poquito espacio, pero en cambio tenían 2Gbs de correos, lo que hacía que tuviesen siempre el servidor petado, porque eran 2Gbs el límite que tenían contratado.

Te puede interesar:  La palabra clave no aparece en el primer párrafo del texto

Resumen

Así que efectivamente, una de las posibles causas de error al actualizar plugins WordPress, puede ser simplemente que tienes el servidor hasta los topes y el propio plugin no tiene espacio para actualizarse.
Ya sabéis. Si os encontráis con un error del tipo: Unable to find End of Central Dir Record signature, no os preocupéis que es de fácil solución.
Espero que esto os ayude por si os ocurre lo mismo de ver error al actualizar plugins WordPress.

¿Hablamos?

Rafa Labrador

Rafa Labrador es el autor del blog del mismo nombre rafalabrador.com. Rafa ayuda a negocios unipersonales a conseguir más visibilidad y ventas en Internet gracias al SEO y el posicionamiento orgánico.
¿Hablamos?
¿Te ha gustado el artículo? Valóralo
5 comentarios
    • Rafa Labrador
      Rafa Labrador Dice:

      Hola Juan! No acabo de entender tu comentario. Precisamente escribí esta entrada para ayudar a quien le pasara este mismo error. La solución es la que he comentado: tienes el servidor lleno y tienes que liberar espacio en él. Saludos!

      Responder
      • Lalo Márquez
        Lalo Márquez Dice:

        No necesariamente, Rafa. Este error sucede también cuando tratas de subir un archivo zip dañado o un archivo que no sea zip, por ejemplo, un widget o un plugin en formato php. ¡Saludos!

        Responder
        • Rafa Labrador
          Rafa Labrador Dice:

          Hola Lalo! Sí, si. Este error no es exclusivamente que tengas problemas de espacio. Pero sí es una de las posibles causas, como comento en el post. Genial que nos aportes otras posibles causas. Así queda más completo! Muchas gracias por tu aporte y saludos!

          Responder
    • emanuel
      emanuel Dice:

      Hola Juan, la solución que dió me fué muy útil. Me solucionó el problema.
      Gracias a la respuesta de Rafa me solucioné la vida!
      Te hago otra pregunta… ¿Para qué escribes comentarios tu juan, payaso, si no sabes ni leer bien?

      Responder

Dejar un comentario

¿Quieres unirte a la conversación?
Siéntete libre de contribuir

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *